
Redmine - Patch #5604

mail handler fails when the from address is empty

2010-05-27 12:02 - Andrew Fenn

Status: Closed Start date: 2010-05-27

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Email receiving Estimated time: 0.00 hour

Target version: 0.9.5   

Description

When the "From:" address in an email is empty redmine fails the correctly insert an issue even when the options to specifically create

anonymous issues are set.

I have attached a patch to fix this.

Associated revisions

Revision 3783 - 2010-06-19 21:24 - Eric Davis

Accept email from anonymous users with an empty from address. #5604

Contributed by Andrew Fenn

History

#1 - 2010-05-27 13:12 - Felix Schäfer

- Target version set to 0.9.5

Should get a test and be integrated in 0.9.5 if time permits.

#2 - 2010-06-19 21:02 - Eric Davis

- Assignee set to Eric Davis

#3 - 2010-06-19 21:16 - Eric Davis

- Status changed from New to Resolved

- % Done changed from 0 to 100

Andrew Fenn, I've fixed this in r3783 based on your patch.  Thank you for contributing.

#4 - 2010-06-20 00:57 - Eric Davis

- Status changed from Resolved to Closed

Merged to 0.9-stable for release.
